<!--
		SIF Implementation Specification (Australia) 3.4.3


		(April 5, 2018)
		
		Infrastructure Version: v3
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/datamodel/au/3.4" targetNamespace="http://www.sifassociation.org/datamodel/au/3.4" elementFormDefault="qualified" version="3.4.3">
  <xs:complexType name="StudentGradeType">
    <xs:sequence>
      <xs:element name="StudentPersonalRefId" minOccurs="0" type="IdRefType" />
      <xs:element name="Homegroup" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="YearLevel" minOccurs="0" nillable="true" type="YearLevelType" />
      <xs:element name="TeachingGroupShortName" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="TeachingGroupRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="StaffPersonalRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="Markers" minOccurs="0" nillable="true" type="StudentGradeMarkersListType" />
      <xs:element name="SchoolInfoRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="TermInfoRefId" minOccurs="0" nillable="true" type="IdRefType" />
      <xs:element name="Description" minOccurs="0" nillable="true" type="xs:normalizedString" />
      <xs:element name="LearningArea" minOccurs="0" nillable="true" type="ACStrandSubjectAreaType" />
      <xs:element name="LearningStandardList" minOccurs="0" nillable="true" type="LearningStandardListType" />
      <xs:element name="GradingScoreList" minOccurs="0" nillable="true" type="GradingScoreListType" />
      <xs:element name="Grade" minOccurs="0" nillable="true" type="GradeType" />
      <xs:element name="TeacherJudgement" minOccurs="0" nillable="true" type="xs:string" />
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="SIF_MetadataType" />
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="SIF_ExtendedElementsType" />
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="RefIdType" />
  </xs:complexType>

  <xs:element name="StudentGrade" type="StudentGradeType">
    <xs:unique name="StudentGradeKey1">
      <xs:selector xpath="./StudentGrade" />
      <xs:field xpath="@RefId" />
    </xs:unique>
  </xs:element>

  <xs:complexType name="StudentGradeCollectionType">
    <xs:sequence>
      <xs:element name="StudentGrade" type="StudentGradeType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="StudentGrades" type="StudentGradeCollectionType" />

</xs:schema>